Subject: Re: [PATCH v2] sequencer: beautify subject of reverts of reverts

From: Oswald Buddenhagen <[email-masked]>
Date: Fri, 28 Apr 2023 21:11:57 +0200

On Fri, Apr 28, 2023 at 11:35:28AM -0700, Junio C Hamano wrote:
>Oswald Buddenhagen <[email-masked]> writes:
>> +The command generates the subject 'Revert "<title>"' for the resulting
>> +commit, assuming the original commit's subject is '<title>'.  Reverting
>> +such a reversion commit in turn yields the subject 'Reapply "<title>"'.
>
>Clearly written.
>
>> +These can of course be modified in the editor when the reason for
>> +reverting is described.
>
>Not just the title but the entire message can be edited and that is
>by design.  Having to modify what this new mechanism does when
>existing users do not like the new behaviour will annoy them, and
>this sentence will not be a good enough excuse to ask them
>forgiveness for breaking their established practice, either.
>
>So, I am not sure if there is a point to have this sentence here.
>
well, it's the one sentence i copied verbatim from your proposal. :-D

but i don't get the argument anyway. i think the docu is pretty 
pointless except to emphasize that the generated subject is a default 
that should be edited when circumstances recommend it. in fact, i 
wouldn't mind writing just that, with a notice that the default attempts 
to be somewhat natural for repeated reverts.

>>  			strbuf_addstr(&msgbuf,
>>  				"# *** SAY WHY WE ARE REVERTING ON THE TITLE LINE ***");
>> +		} else if (skip_prefix(msg.subject, "Revert \"", &orig_subject)) {
>> +			if (skip_prefix(orig_subject, "Revert \"", &orig_subject)) {
>> +				/*
>> +				 * This prevents the generation of somewhat unintuitive (even if
>> +				 * not incorrect) 'Reapply "Revert "' titles from legacy double
>> +				 * reverts. Fixing up deeper recursions is left to the user.
>> +				 */
>
>Good comment but in an overwide paragraph.
>
there are several lines in the lower 90-ies in that file, one of them 
seen in the patch context. would 88 be fine?
(too narrow flowed text looks silly, imo.)

>Doesn't t3501 seem a better home for them?
>
looking closer at it, i guess it kind of does. the file's contents have 
clearly grown to fulfill the filename's broad promise, but nobody 
bothered to adjust the test description and make the setup title more 
specific. any takers?

-- ossi